# Class CIM_SwitchServiceSpanningTree
extends CIM_ServiceComponent

An association linking SwitchService to a component SpanningTreeService. The cardinality of the SpanningTreeService is 0..1 for a VLAN-unaware switch.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ServiceComponent
|
+--CIM_SwitchServiceSpanningTree

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | An association linking SwitchService to a component SpanningTreeService. The cardinality of the SpanningTreeService is 0..1 for a VLAN-unaware switch.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_SwitchServiceSpanningTree | CIM_SwitchService
PartComponent | CIM_SwitchServiceSpanningTree | CIM_SpanningTreeService

## Class Methods